List expense items
curl --request GET \
--url https://www.ruddr.io/api/workspace/expense-items \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.ruddr.io/api/workspace/expense-items"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.ruddr.io/api/workspace/expense-items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": "3b7e1f2a-4c8d-4e9f-a0b1-2c3d4e5f6a7b",
"statusId": "approved",
"vendor": "Personal Vehicle",
"notes": "Client site visit for project kickoff meeting.",
"attendees": "Alice Johnson, Bob Smith",
"date": "2025-01-15",
"currency": "USD",
"amount": 33.5,
"markupMethod": "amount",
"markupRatio": null,
"markupAmount": 5,
"markup": 5,
"total": 38.5,
"unitCount": 50,
"unitAmount": 0.67,
"isReimbursable": true,
"isBillable": true,
"createdAt": "2025-01-15T20:47:03.284Z",
"expenseReport": {
"id": "4a186944-4259-4e8a-8aba-b9aaf6937c04",
"title": "January 2025 Expenses"
},
"expenseCategory": {
"id": "175e0635-ac9e-4880-8492-07fa584f1b15",
"name": "Mileage",
"unitName": "Mile"
},
"member": {
"id": "7c8f2e19-4d5a-4a3b-9c6d-2e8f1a0b3c4d",
"name": "Jane Smith"
},
"project": {
"id": "b4cc2b99-3b3a-4b73-8f4e-8c1d7a94e5b0",
"name": "Website Redesign",
"client": {
"id": "56deca22-a707-4148-a5f7-ea3ae6391d67",
"name": "Acme Corp"
}
},
"invoiced": false
}
],
"hasMore": false
}Expense Items
List expense items
GET
/
expense-items
List expense items
A purchased product or service recorded for reimbursement or project billing.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
A cursor ID (uuid) used to request the next page of results. If not provided, defaults to the first page of results.
A cursor ID (uuid) used to request the previous page of results. Is mutually exclusive with startingAfter.
The maximum number of results to be returned. Can be any number from 1 to 100. Defaults to 10, if not provided.
An expense report ID (uuid) used to filter objects for a specific expense report.
⌘I